Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid
Interface GridPacking

Deprecated. In favor of migrating to ISO 19123 definition for Coverage.

    @UML(identifier="GC_GridPacking",
         specification=OGC_01004)
    public interface GridPacking

Describes the packing of data values within grid coverages. It includes the packing scheme of data values with less then 8 bits per value within a byte, byte packing (Little Endian / Big Endian) for values with more than 8 bits and the packing of the values within the dimensions.

WARNING: THIS CLASS WILL CHANGE. Current API is derived from OGC Grid Coverages Implementation specification 1.0. We plan to replace it by new interfaces derived from ISO 19123 (Schema for coverage geometry and functions). Current interfaces should be considered as legacy and are included in this distribution only because they were part of GeoAPI 1.0 release. We will try to preserve as much compatibility as possible, but no migration plan has been determined yet.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0

Method Summary
`int` | `getBandPacking()` Deprecated. Gives the ordinate index for the band.
`ByteInValuePacking` | `getByteInValuePacking()` Deprecated. Order of bytes packed in values for sample dimensions with greater than 8 bits.
`ValueInBytePacking` | `getValueInBytePacking()` Deprecated. Order of values packed in a byte for sample dimensions with less than 8 bits.

Method Detail

### getByteInValuePacking

    @UML(identifier="byteInValuePacking",
         obligation=MANDATORY,
         specification=OGC_01004)
    ByteInValuePacking getByteInValuePacking()

  Deprecated.
  Order of bytes packed in values for sample dimensions with greater than 8 bits.

### getValueInBytePacking

    @UML(identifier="valueInBytePacking",
         obligation=MANDATORY,
         specification=OGC_01004)
    ValueInBytePacking getValueInBytePacking()

  Deprecated.
  Order of values packed in a byte for sample dimensions with less than 8 bits. This include `UNSIGNED_1BIT`, `UNSIGNED_2BITS` and `UNSIGNED_4BITS` data types.

### getBandPacking

    @UML(identifier="bandPacking",
         obligation=MANDATORY,
         specification=OGC_01004)
    int getBandPacking()

  Deprecated.
  Gives the ordinate index for the band. This index indicates how to form a band-specific coordinate from a grid coordinate and a sample dimension number. This indicates the order in which the grid values are stored in streamed data. This packing order is used when grid values are retrieved using the `getPackedDataBlock` or set using `setPackedDataBlock` operations on `GridCoverage`. bandPacking of
  - 0 : the full band-specific coordinate is (b, n1, n2...)
  - 1 : the full band-specific coordinate is (n1, b, n2...)
  - 2 : the full band-specific coordinate is (n1, n2, b...)
  Where
  - b is band
  - n1 is dimension 1
  - n2 is dimension 2
  For 2 dimensional grids, band packing of 0 is referred to as band sequential, 1 line interleaved and 2 pixel interleaved.

  See Also:
    `BandedSampleModel`, `PixelInterleavedSampleModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.